input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    padding: 1px;
    position: relative;
    border-radius: 10px;
    background: linear-gradient(86.64deg, #d312fe 7.94%, #8867f9 47.11%, #3cbdf4 88.79%);
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        border: none;
        height: rem(48);
        outline: none;
        color: #5b3d38;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        padding: rem(13) rem(16);
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border-radius: 9px;
        @include placeholder(#646464);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }


    textarea {
        height: auto;
        resize: vertical;
    }

}
